Overview
GET/gamification/subjects/{subjectType}/{subjectId}gamification

A subject’s gamification summary (points, level, badges, opt-out)

Fetch a record from subjects by subjectType, subjectId.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • subjectTypepathstring
  • subjectIdpathstring
Responses
200

Summary

  • subjectTypestring
  • subjectIdstring
  • totalPointsinteger
  • leveloptionalstring?
  • optedOutboolean
  • badgesGamificationSubjectBadge[]
Example
{
  "subjectType": "string",
  "subjectId": "string",
  "totalPoints": 0,
  "level": "string",
  "optedOut": true,
  "badges": [
    {
      "id": "string",
      "badgeId": "string",
      "name": "string",
      "description": "string",
      "icon": "string",
      "awardedAt": "string"
    }
  ]
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/gamification/subjects/{subjectType}/{subjectId}" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/gamification/subjects/{subjectType}/{subjectId}", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();